###--- >>> `bbnam' <<<----- Butts' (Hierarchical) Bayesian Network Accuracy Model

	## alias	 help(bbnam)
	## alias	 help(bbnam.actor)
	## alias	 help(bbnam.pooled)
	## alias	 help(bbnam.fixed)

##___ Examples ___:

#Create some random data
g<-rgraph(5)
g.p<-0.8*g+0.2*(1-g)
dat<-rgraph(5,5,tprob=g.p)

#Define a network prior
pnet<-matrix(ncol=5,nrow=5)
pnet[,]<-0.5
#Define em and ep priors
pem<-matrix(nrow=5,ncol=2)
pem[,1]<-3
pem[,2]<-5
pep<-matrix(nrow=5,ncol=2)
pep[,1]<-3
pep[,2]<-5

#Draw from the posterior
b<-bbnam(dat,model="actor",nprior=pnet,emprior=pem,epprior=pep,
    burntime=100,draws=100)
#Print a summary of the posterior draws
summary(b)

## Keywords: 'models', 'network'.


